Loading...
Searching...
No Matches
janus_sip_account Struct Reference

## Data Fields

char * | identity
char * | user_agent
gboolean | force_udp
gboolean | force_tcp
gboolean | sips
gboolean | rfc2543_cancel
gboolean | automatic_ringing
char * | username
char * | display_name
char * | authuser
char * | secret
janus_sip_secret_type | secret_type
int | sip_port
char * | proxy
char * | outbound_proxy
janus_sip_registration_status | registration_status

## Field Documentation

## authuser

char* janus_sip_account::authuser

username to use for authentication

## automatic_ringing

gboolean janus_sip_account::automatic_ringing

## display_name

char* janus_sip_account::display_name

## force_tcp

gboolean janus_sip_account::force_tcp

## force_udp

gboolean janus_sip_account::force_udp

## identity

char* janus_sip_account::identity

## outbound_proxy

char* janus_sip_account::outbound_proxy

## proxy

char* janus_sip_account::proxy

## registration_status

janus_sip_registration_status janus_sip_account::registration_status

## rfc2543_cancel

gboolean janus_sip_account::rfc2543_cancel

## secret

char* janus_sip_account::secret

## secret_type

janus_sip_secret_type janus_sip_account::secret_type

## sip_port

int janus_sip_account::sip_port

## sips

gboolean janus_sip_account::sips

## user_agent

char* janus_sip_account::user_agent

## username

char* janus_sip_account::username

The documentation for this struct was generated from the following file:

- janus_sip.c